Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry.infomodel
Interface Slot

public interface Slot

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org

Field Summary
`static String` | `ADDRESS_LINES_SLOT`
`static String` | `AUTHORIZED_NAME_SLOT`
`static String` | `OPERATOR_SLOT`
`static String` | `SORT_CODE_SLOT`

Method Summary
`String` | `getName()`
`String` | `getSlotType()`
`Collection` | `getValues()`
`void` | `setName(String name)`
`void` | `setSlotType(String type)`
`void` | `setValues(Collection values)`

Field Detail

### ADDRESS_LINES_SLOT

    public static final String ADDRESS_LINES_SLOT

See Also:
  Constant Field Values

### AUTHORIZED_NAME_SLOT

    public static final String AUTHORIZED_NAME_SLOT

See Also:
  Constant Field Values

### OPERATOR_SLOT

    public static final String OPERATOR_SLOT

See Also:
  Constant Field Values

### SORT_CODE_SLOT

    public static final String SORT_CODE_SLOT

See Also:
  Constant Field Values

Method Detail

### getName

    public String getName()
                   throws JAXRException

  Throws:
    `JAXRException`

### getSlotType

    public String getSlotType()
                       throws JAXRException

  Throws:
    `JAXRException`

### getValues

    public Collection getValues()
                         throws JAXRException

  Throws:
    `JAXRException`

### setName

    public void setName(String name)
                 throws JAXRException

  Throws:
    `JAXRException`

### setSlotType

    public void setSlotType(String type)
                     throws JAXRException

  Throws:
    `JAXRException`

### setValues

    public void setValues(Collection values)
                   throws JAXRException

  Throws:
    `JAXRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.